Subject: Re: bug#30184: guix publish issue: guix substitute: error: corrupt input while restoring

From: Efraim Flashner <[email-masked]>
Date: Sat, 20 Jan 2018 21:18:12 +0200

On Sat, Jan 20, 2018 at 12:07:41PM +0000, Christopher Baines wrote:
> Hey,
> 
> I think something may have broken recently with the guix publish
> service. I run this on a server with very basic configuration, just
> setting the host, but I noticed recently that there were problems using
> the service. The following example is guix failing to download something
> from that server.
> 
> Downloading http://beid.cbaines.net/nar/gzip/pwg84wqsniamc4vx9c7p06284i5rxiay-wxwidgets-3.0.3...
>  wxwidgets-3.0.3                                                       256KiB/s 00:00 | 16KiB transferred
> gzip: stdin: not in gzip format
> guix substitute: error: corrupt input while restoring '/gnu/store/pwg84wqsniamc4vx9c7p06284i5rxiay-wxwidgets-3.0.3' from #{read pipe}#
>  wxwidgets-3.0.3                                                       316KiB/s 00:00 | 48KiB transferredguix package: error: build failed: some substitutes for the outputs of derivation `/gnu/store/7f0zr1zgp6q1nyrsxf88qn003gr1w53b-wxwidgets-3.0.3.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source
> 
> I reverted the 4 recent changes [1], changed the service configuration
> to use (guix (current-guix)) and now it seems to be working again.
> 
> I've had a look through the changes, I couldn't spot anything, but I
> think there could be a regression in these changes [1].
> 
> Thanks,
> 
> Chris
> 
> 
> 1: f396611776e7ed6f1a070569a338ad56461b099e
>    152b7beeacb72fe96fd5d3c0fd8b321e247c2c6c
>    c04ffadbed7412545555b8be6b78f23eed150d26
>    297e04d66010ada31a40f40143d81bf6b62affcc

I'm also coming up against this with my aarch64 machines. The guix
version is the same on both of them, both machines are running
guix-publish with guix-0.14.0-6.0dcf675.
efraim@odroidc2:~$ guix --version
guix (GNU Guix) 0.14.0.1000-3b1ad

I checked the logs for guix-publish but all I have are entries like:
Jan 20 21:16:09 firefly guix[406]: GET /nar/gzip/h4s5s9zlbph0r27x4plfmh89r67s4mdq-dosfstools-4.1

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted